// components/My_MembersAndProducts/index.js
Component({
    /**
     * 组件的属性列表
     */
    properties: {
        /* 是否主账号 */
        fisadministrator: {
            type: Boolean
        },
        /* 图片 */
        attinfos: {
            type: Array,
            value: []
        },
        /* 标题 */
        title: {
            type: String
        },
        /* 第二行 */
        twoRow: {
            type: String
        },
        /* 第三行 */
        threeRow: {
            type: String
        },
        /* 图片尺寸 */
        imgSize: {
            type: String,
            value: "100rpx"
        },
        /* 图片圆角 */
        radius: {
            type: String,
            value: '50%'
        },
    },
    options: {
        addGlobalClass: true,
    },
    /**
     * 组件的初始数据
     */
    data: {

    },

    /**
     * 组件的方法列表
     */
    methods: {
        /* 修改成员信息 */
        changeMessage() {
            this.triggerEvent("changeMessage")
        },
        /* 预览图片 */
        viewImg(e) {
            const {
                index
            } = e.target.dataset;
            let data = [];
            for (let i = 0; i < this.data.attinfos.length; i++) {
                data[i] = this.data.attinfos[i].fobsurl
            };
            wx.previewImage({
                current: index,
                urls: data,
            })
        }
    }
})